AutoCAD Inventor :: How To Include Plane In A Drawing View
Apr 15, 2013
I have a drawing view with many recurring instances of the same part. I want to include the "XY Plane of each of these occurrences using the API. My code appears to be correct but the projected planes just won't show up. I get an error when I try to include the plane that is not normal the the view so I know it is doing something.
Using Parts created with "As Application surfaces" (only to aid positioning in assemblies). Main assembly built up from sub assemblies which include these parts have the issue on the displaye views in the drawing. When creating drawing views of the Main assembly the application surfaces cannot be hidden by deselecting the "Include All Surfaces" option on each assembly view.
They can be hidden as, shown with an assembly made up only of parts.
If you edit a section view sketch you can project model edges in the sketch and use them to constrain the section view line. However I cannot seem to project an included workplane to the sketch. For a particular application I really need to use a workplane because the model is actually a dummy that gets replaced by a vb macro. So any projected model edges will loose their reference.
I found out that I could use a sketch in the model to create the section view. In a model sketch it is possible to project work planes, so this looks like a good solution. However I do prefer the flexibility that you have when you use a drawing sketch.
How to use a work plane to constrain a section view, other then the model sketch method explained above.
there is a command or simple procedure to actively view a section plane in an assembly or part. I know there are the static methods of using slice graphics and section view however I'm looking to create a live section where I am able to constantly move the plane through the model thus altering the live section as it appears on screen, similar to the way a model can be viewed in Tekla with the cut section command.
Autodesk Inventor Professional 2013 SP2 64-Bit Edition Windows 7 HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL)
After upgrading to Inventor 2014 we notice that the graphics do not work properly, and that the overall performance in drawings and modelling bad compared to 2013. Then we installed SP1 and now drawing views are disappearing, however when we select "shaded" view the view reappears and works perfectly..
Each time when I place a part in base view, have to follow few steps; go through view label, format Text, than choose type option - [Properties-Model] and its property - [Part Number], than placing dimensions. it takes long time and very repetitive, especially, when placing a hundreds of parts and I was wondering if there is an option, to set up view label; [Properties - Model ]& [Part number], as a DEFAULT. So, each time placing a part, in base view it will come up with correct label. Also, overall dimensions, can it be retrieve using parameters of the part?
How to make a new work plane rotated at an angle to another plane and passing through the axis of a cylinder, or one of the main axes.On the plane commands, in V2013, i don't find an option for plane at an angle
I'm trying to print off an installation drawing which has some conduit running down through a wall. What I want is to show the conduit in the wall as a hidden line but I'm not able to do so. I'm using AutoCAD 2013.
I'm working on a Isometric drawing and im trying to dimension the view. I keep the original view there and cut another of the same view and place that cut view over the original, so I have something to snap to while dimensioning.
Every time i go to place the cut view over the original and i always grab the wrong view and move it and I am wondering if there is a way to pin the original view in place permanently?
my plot file names don't include the drawing name, only the layout name. it used to include the drawing name. i must have changed something but i don't what.
Dell Studio XPS 9100 Intel Core i7 CPU 930 @ 2.8GHz 12GB Ram 64 bit C3D 2012 SP3.0
I've got a macro which is creating .ipt and .idw files from templates. I'm once created I'm replacing the reference in the .idw to refer to the newly created .ipt file. The problem is that the drawing view isn't updating... I've make the .ipt file dirty then udpate the drawing, but that hasn't worked. I've tried just using the drawingdocument.update function, but that hasn't worked either...
In the continuing persuit to learn Inventor, of this selection in the drawing view editor?I have noticed one thing. When it is checked it turns off the visibility of parts within an assembly view.
I have an assembly that is derived from a solid body part. The assembly can rotate in the part hence the .iam that was created using Make Components also rotates. The trouble is I need to make a template drawing showing the assembly in the same position all the time.
Is there a way to make a base view always look at a surface and follow that surface so that the view on the drawing always looks the same?
For example: If I had a dice and I create a base view of the two dots side of the die. If I roll the die I still want to see in the base view the two dots side of the die in the same orientation.
I am using this code to turn visibility of components off in IDw file, what I need top turn visibility of a component of in a subassembly.
'oDrawingDocument = ThisApplication.ActiveDocument 'Get the first view 'Dim oView As Inventor.DrawingView 'oView = oDrawingDocument.ActiveSheet.DrawingViews.Item(2)
We are sometimes faced with the problem that we would like change the coordinate system of the model and have the drawing update it with the new orientation of the part without the need to place every annotation again. This is mostly for legacy parts and assemblies which are not modeled correct according to the coordinate system of the machine.
The following sample code does not work, is this by design or is there an error in the code?
Public Sub RotateFirstView() Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument Dim oDrawView As DrawingView Set oDrawView = oDrawDoc.Sheets(1).DrawingViews(1) Dim oCamera As Camera Set oCamera = oDrawView.Camera Debug.Print oCamera.ViewOrientationType = kFrontViewOrientation oCamera.ViewOrientationType = kIsoBottomLeftViewOrientation oCamera.ApplyEnd Sub
Inventor Professional 2012 SP1 (25 seats with subscription) Windows 7 64 bit Lenovo D20, 12 GB RAM, Intel Xeon X5687 3.6 GHz, SSD Quadro 4000, driver 8.17.12.9573, dual monitors SpacePilot, driver version 6.15.3 Firmware 3.12
I am trying to align two views horizontally with I logic, (view 1) and (view 2) but I am not sure what the syntax needs to look like.
I know that I need to import the Drawing view Alignment Enumeration, but other than that I don't know what to do, can some one post an example of how to align views with I-logic.
I have some models which are based on skeleton modeling and where the actual parts are modeled at the position where they are in the assembly. When the skeleton part is changed the parts will update and their orientation related to the origin planes can change. This is where the problem lies, on the drawings of these parts the views are all skewed after an update.
Is it somehow possible to tell Inventor that all views on a a drawing should stay alligned to a workplane? Because it are all parts and no assemblies I cannot use posreps (and I don't want to use dummy assemblies). I also tried setting a specific edge to be horizontal with the rotate command in the drawing. This works for the base view, but all projected views will still be skewed after an update.
Is it possible to get the "actual" calculated area of the face of a part from a drawing view? I looked at the drawing view object in the api but didn't find what I was looking for. What my goal is, I want to calculate the actual square foot of this piece and then subtract it from the overall square foot so I can calculate waste. Perimeter's of pieces can be in multiple forms, radial, straight or a combination of the two. See image below.
Most of my views have been crosed over by a red line in the Model browser window (se attachment) What does this red line meen?
Also, all the views with the red line have been set to Raster View Only. I can untick it without problems, but when I click OK and reopen the dialog the checkmark is back on.
Is there a way (IV2012) to have the drawing view default to 1:1 when inserting a detail into the sheet? Now it tries to select a scale based on who knows what.
Is there any way to have Tangent Edges to show within all view's created on my idw automatically within the my template file or do I have to remember to double click on each of my created views per page, select display options and make sure Tangent Edges are checked on.
*See Computer Mouse is Attached Photo IV 2012 Pro-Suite / VP 2011 Windows Vista Enterprise - 64 Bit Precision Workstation T7500 Intel (R) Xeon (R) CPU - E5504 @ 2.00 GHz (8 CPUs) 12284 Mb Ram Dual Quadro FX 5800